﻿using System;

namespace TreapIntervalTree
{
    public class Interval<T> where T : IComparable<T>
    {
        public Interval(T left, T right, bool isLeftIncluded, bool isRightIncluded)
        {
            Left = left;
            Right = right;
            IsLeftIncluded = isLeftIncluded;
            IsRightIncluded = isRightIncluded;
        }

        public T Left { get; private set; }
        public T Right { get; private set; }
        public bool IsLeftIncluded { get; private set; }
        public bool IsRightIncluded { get; private set; }
    }
}